cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"limit": 123,
"list": [
{
"country": "<string>",
"created_at": "<string>",
"description": "<string>",
"disabled": true,
"draft": true,
"hash": "<string>",
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"rescue": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"schema": "<string>",
"steps": [
{
"action": "email.send",
"config": {},
"id": "186522a6-e697-4e34-8498-eee961bcb845",
"name": "<string>",
"next": [
{
"code": "<string>",
"step_id": "186522a6-e697-4e34-8498-eee961bcb845",
"steps": "<array>",
"stop": true
}
],
"notes": "<string>",
"summary": "<string>"
}
],
"updated_at": "<string>",
"version": "<string>",
"versions": [
{
"created_at": "<string>",
"hash": "<string>",
"name": "<string>",
"src": "<string>",
"src_id": "<string>",
"version": "<string>"
}
]
}
],
"next_created_at": "<string>",
"schema": "bill/invoice"
}Workflows
Fetch all workflows
Fetch workflows in the current workspace.
GET
/
transform
/
v1
/
workflows
cURL
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Query Parameters
Maximum number of workflows to return.
Example:
100
Date from which results are provided.
Example:
"2023-08-02T00:00:00.000Z"
Short schema name that the workflow will be allowed to process.
Example:
"bill/invoice"
Response
200 - application/json
OK
First or queried timestamp when the first entry in the page was created.
Maximum number of objects returned in a page.
List of workflows.
Show child attributes
Show child attributes
Timestamp that indicates the start of the next page of results, if any.
Short schema name that the workflows have been filtered by.
Example:
"bill/invoice"
Was this page helpful?
⌘I